For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/subaccounts/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/subaccounts/llms-full.txt.

# List subaccounts

GET https://api.synthflow.ai/v2/subaccounts/



Reference: https://docs.synthflow.ai/api-reference/platform-api/subaccounts/list-subaccounts

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /subaccounts/:
    get:
      operationId: list-subaccounts
      summary: List subaccounts
      description: ''
      tags:
        - ''
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/list-subaccounts_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/List-subaccountsRequestBadRequestError'
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    subaccount_id:
      type: string
      description: Subaccount ID.
      title: subaccount_id
    SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItemsPricingTiersItems:
      type: object
      properties:
        pricing_tier_id:
          type: string
      title: >-
        SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItemsPricingTiersItems
    SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItemsPermissions:
      type: object
      properties:
        assistants:
          type: boolean
          description: Whether this subaccount can manage agents.
        knowledge_base:
          type: boolean
          default: true
          description: Whether this subaccount can manage knowledge bases.
        actions:
          type: boolean
          default: true
        workflows:
          type: boolean
          default: true
        contacts:
          type: boolean
          default: true
        phone_numbers:
          type: boolean
          default: true
      title: >-
        SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItemsPermissions
    SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItemsSubscription:
      type: object
      properties:
        stripe_subscription_id:
          type: string
        synthflow_price_id:
          type: string
      title: >-
        SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItemsSubscription
    SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItemsMembersItems:
      type: object
      properties:
        email:
          type: string
        status:
          type: string
      title: >-
        SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItemsMembersItems
    SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItems:
      type: object
      properties:
        subaccount_id:
          $ref: '#/components/schemas/subaccount_id'
        agency_id:
          type: string
        name:
          type: string
        pricing_tiers:
          type: array
          items:
            $ref: >-
              #/components/schemas/SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItemsPricingTiersItems
        permissions:
          $ref: >-
            #/components/schemas/SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItemsPermissions
        subscription:
          $ref: >-
            #/components/schemas/SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItemsSubscription
        minutes_used:
          type: integer
          default: 0
        max_minutes:
          type:
            - integer
            - 'null'
          description: >-
            The maximum number of minutes allocated to this subaccount. Null if
            no limit is set.
        members:
          type: array
          items:
            $ref: >-
              #/components/schemas/SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItemsMembersItems
      title: >-
        SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItems
    SubaccountsGetResponsesContentApplicationJsonSchemaResponse:
      type: object
      properties:
        subaccounts:
          type: array
          items:
            $ref: >-
              #/components/schemas/SubaccountsGetResponsesContentApplicationJsonSchemaResponseSubaccountsItems
      title: SubaccountsGetResponsesContentApplicationJsonSchemaResponse
    list-subaccounts_Response_200:
      type: object
      properties:
        status:
          type: string
        response:
          $ref: >-
            #/components/schemas/SubaccountsGetResponsesContentApplicationJsonSchemaResponse
      title: list-subaccounts_Response_200
    List-subaccountsRequestBadRequestError:
      type: object
      properties: {}
      title: List-subaccountsRequestBadRequestError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python list-subaccounts_example
import requests

url = "https://api.synthflow.ai/v2/subaccounts/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go list-subaccounts_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/subaccounts/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby list-subaccounts_example
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/subaccounts/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java list-subaccounts_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthflow.ai/v2/subaccounts/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp list-subaccounts_example
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/subaccounts/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift list-subaccounts_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/subaccounts/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```